<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', function ($api) {
    $api->group(['namespace' => 'App\Http\Controllers'], function ($api) {
        $api->post('/auth/checkself', 'AuthController@checkSelf');
        $api->post('/auth/getpermissions', 'AuthController@getPerms');
        $api->post('/auth/login', 'AuthController@login');
        $api->post('/auth/register', 'AuthController@register');
        $api->post('/auth/recover', 'AuthController@recover');
        $api->post('/auth/sendreset', 'AuthController@SendReset');
        $api->get('/auth/confirmreset/{token}', 'AuthController@ConfirmReset');
        $api->post('/auth/passwordreset', 'AuthController@PasswordReset');
        $api->post('/auth/checkauth', 'AuthController@checkAuth');
    });
});
